namespace ShoopNCook.Views;

public partial class StoredRecipeView : ContentView
{

    public StoredRecipeView() : this(5, "Title", "Subtitle")
    { }

    public StoredRecipeView(float note, string title, string subtitle)
    {
        InitializeComponent();
        Note = note;
        Title = title;
        Subtitle = subtitle;
    }

    public float Note
    {
        set => SetNote(value);
    }

    public string Title
    {
        set => TitleLabel.Text = value;
    }

    public string Subtitle
    {
        set => SubtitleLabel.Text = value;
    }


    private void SetNote(float note)
    {
        int i = 1;
        foreach (Image img in Stars.Children)
        {
            if (i <= note)
            {
                img.Opacity = 0;
                i++;
            }
            else img.Opacity = 1;
        }
    }
}